<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_t3events_domain_model_teaser'] = array(
	'ctrl' => $TCA['tx_t3events_domain_model_teaser']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden,
			title, details, inherit_data, image, is_highlight, location, event, external_link',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource,
			hidden;;1, title, details, inherit_data, image, is_highlight, location, event,
			external_link,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access,starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_t3events_domain_model_teaser',
				'foreign_table_where' => 'AND tx_t3events_domain_model_teaser.pid=###CURRENT_PID### AND tx_t3events_domain_model_teaser.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),
		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'title' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.title',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'details' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.details',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
		),
		'inherit_data' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.inherit_data',
			'config' => array(
				'type' => 'check',
				'default' => 0
			),
		),
		'image' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.image',
			'config' => array(
				'type' => 'group',
				'internal_type' => 'file',
				'uploadfolder' => 'uploads/tx_t3events',
				'show_thumbs' => 1,
				'size' => 5,
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
				'disallowed' => '',
			),
		),
		'is_highlight' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.is_highlight',
			'config' => array(
				'type' => 'check',
				'default' => 0
			),
		),
		'location' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.location',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_t3events_domain_model_venue',
				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'event' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.event',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_t3events_domain_model_event',
				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'external_link' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:t3events/Resources/Private/Language/locallang_db.xml:tx_t3events_domain_model_teaser.external_link',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),

	),
);


// fields
// image
$TCA['tx_t3events_domain_model_teaser']['columns']['image']['config'] = array(
    'type' => 'group',
    'internal_type' => 'file',
    'uploadfolder' => 'uploads/tx_t3events',
    'show_thumbs' => 1,
    'size' => 1,
    'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
    'disallowed' => '',
);

// location
// event_location
$TCA['tx_t3events_domain_model_teaser']['columns']['location']['config'] = array(
    'type' => 'select',
    'foreign_table' => 'tx_t3events_domain_model_venue',
    'minitems' => 0,
    'maxitems' => 1,
    'eval' => 'required',
);

// event
$TCA['tx_t3events_domain_model_teaser']['columns']['event']['config'] = array(
	'type' => 'group',
	'foreign_table' => 'tx_t3events_domain_model_event',
	'internal_type' => 'db',
	'allowed' => 'tx_t3events_domain_model_event',
	'size' => 1,
	'minitems' => 1,
	'wizards' => array(
		'_PADDING' => 1,
		'_VERTICAL' => 1,
		'edit' => array(
			'type' => 'popup',
			'title' => 'Edit',
			'script' => 'wizard_edit.php',
			'icon' => 'edit2.gif',
			'popup_onlyOpenIfSelected' => 1,
			'JSopenParams' => 'height=810,width=740,status=0,menubar=0,scrollbars=1',
			),
		'add' => Array(
			'type' => 'script',
			'title' => 'Create new',
			'icon' => 'add.gif',
			'params' => array(
				'table' => 'tx_t3events_domain_model_event',
				'pid' => '###CURRENT_PID###',
				'setValue' => 'prepend'
				),
			'script' => 'wizard_add.php',
		),
		'suggest' => array(
			'type' => 'suggest',
		),
	),
);
?>